Bug 805488 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/laurent_2eboualit_40gmail_2ecom at 0x900518c>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:c1971b60fd632ff5489d5110ff6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 09:10 EDT by Laurent Boualit
Modified: 2013-02-13 05:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Boualit 2012-03-21 09:10:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
event_log:      2012-03-21-14:10:22> Smolt profile successfully saved
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.10-3.fc16.i686
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/laurent_2eboualit_40gmail_2ecom at 0x900518c>
time:           mer. 21 mars 2012 13:35:57 CET
uid:            1000
username:       laurent

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/laurent_2eboualit_40gmail_2ecom at 0x900518c>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/laurent_2eboualit_40gmail_2ecom at 0x900518c>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x8da342c>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/laurent_2eboualit_40gmail_2ecom at 0x900518c>

smolt_data:
:
:
:Général
:=================================
:UUID: 9a0af07c-1bae-4cef-b48f-0727d935a598
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: i686
:BogoMIPS: 3599.94
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Atom(TM) CPU D525   @ 1.80GHz
:Stepping du processeur: 10
:Famille de processeur: 6
:Modèle du processeur: 28
:Nombre de processeurs: 4
:Vitesse du processeur: 1800
:Mémoire du système: 2004
:Swap du système: 4031
:Fabricant: ASUSTeK Computer INC.
:Système: 1215N x.x
:Type d'ordinateur: Notebook
:Noyau: 3.2.10-3.fc16.i686
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:10172:4163:33709) pci, None, PCI/ISA, NM10 Family LPC Controller
:(4318:2678:4163:33862) pci, nouveau, VIDEO, N/A
:(5348:18215:6715:8263) pci, None, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:40961:4163:33862) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40962:4163:33862) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4163:33709) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4163:33709) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(6505:8290:4163:33896) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(32902:10200:4163:33820) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:4163:33709) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4163:33709) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4163:33709) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10177:4163:33709) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4163:33709) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4163:33709) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40960:4163:33708) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:4163:33709) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4163:33709) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4163:33709) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_1215n-lv_root / ext4 4096 4096 13092026 10403519 10272487 3276800 3109111 3109111
:/dev/sda2 /boot ext4 1024 1024 508745 413669 388069 128016 127782 127782
:/dev/mapper/vg_1215n-lv_home /home ext4 4096 4096 46717624 38118271 35779455 11698176 11682951 11682951
:
Comment 1 Fedora End Of Life 2013-01-16 06:13:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:24:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.